Apache Tomcat 6.0.53

## org.apache.catalina.startup
Class ClusterRuleSetFactory

    java.lang.Object
      org.apache.catalina.startup.ClusterRuleSetFactory

    public class ClusterRuleSetFactory

extends java.lang.Object

Nested Class Summary
`static class` | `ClusterRuleSetFactory.DefaultClusterRuleSet` RuleSet for processing the contents of a Cluster definition element.

Field Summary
`static Log` | `log`

Constructor Summary
`ClusterRuleSetFactory()`

Method Summary
`static RuleSetBase` | `getClusterRuleSet(java.lang.String prefix)`
`protected static RuleSetBase` | `loadRuleSet(java.lang.String prefix, java.lang.String className, java.lang.ClassLoader cl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static Log log

Constructor Detail

### ClusterRuleSetFactory

    public ClusterRuleSetFactory()

Method Detail

### getClusterRuleSet

    public static RuleSetBase getClusterRuleSet(java.lang.String prefix)

### loadRuleSet

    protected static RuleSetBase loadRuleSet(java.lang.String prefix,
                                             java.lang.String className,
                                             java.lang.ClassLoader cl)
                                      throws java.lang.ClassNotFoundException,
                                             java.lang.InstantiationException,
                                             java.lang.NoSuchMethodException,
                                             java.lang.IllegalAccessException,
                                             java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.